Subject: [os2genau_digest] No. 1335
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 18 Jul 2006 00:01:32 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 17 July 2006
 Number  1335
**************************************************

Subjects for today
 
1   Converting .wpi's to .exe's : Ian Manners" <deadmail>
2  Re:  Converting .wpi's to .exe's : Chuck McKinnis <mckinnis at sandia dot net>

**= Email   1 ==========================**

Date:  Mon, 17 Jul 2006 16:45:25 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:   Converting .wpi's to .exe's

Hi Everyone

Any Warpin guru's here ?
I'm trying to convert all the wpi files on os2site to exe's to stop rouge
robots slurping the lot, but having some problems.

I found a copy of wpi2exe but no joy there, it requires IBM's rc.exe
(Resource Compiler) but doesnt like my earlier version as it doesnt have
an '-n' option. The latest rc.exe I have stackdumps under WSeB, and
Warp v4.52.

Next step, start looking at wic.exe from warpin but 

wic test.exe -a 1 md-0-1-9.wpi -U
and
wic test.exe -a 1 md-0-1-9.wpi -ustub.exe
both give be errors about unable to find scripts when I run them for
warp install.

I might end up giving up and zipping each wpi on the site instead at this rate
but would prefer to keep the benefits of the warpin installer as an exe file
if possible.

Cheers
Ian Manners
http://www.os2site dot com/

Windows practical joke: Write a program that works.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 17 Jul 2006 06:45:22 -0600
From:  Chuck McKinnis <mckinnis at sandia dot net>
Subject:  Re:  Converting .wpi's to .exe's

Ian Manners wrote:
> Hi Everyone
> 
> Any Warpin guru's here ?
> I'm trying to convert all the wpi files on os2site to exe's to stop rouge
> robots slurping the lot, but having some problems.
> 
> I found a copy of wpi2exe but no joy there, it requires IBM's rc.exe
> (Resource Compiler) but doesnt like my earlier version as it doesnt have
> an '-n' option. The latest rc.exe I have stackdumps under WSeB, and
> Warp v4.52.
> 
> Next step, start looking at wic.exe from warpin but 
> 
> wic test.exe -a 1 md-0-1-9.wpi -U
> and
> wic test.exe -a 1 md-0-1-9.wpi -ustub.exe
> both give be errors about unable to find scripts when I run them for
> warp install.
> 
> I might end up giving up and zipping each wpi on the site instead at this rate
> but would prefer to keep the benefits of the warpin installer as an exe file
> if possible.

Have you tried the rc shipped with eCS MT?  The rc files are packaged in 
the ecsut2193.exe at www.ecomstation dot com, or I can ship them to you.

-- 
Chuck McKinnis
Covenant Solutions
http://www.7cities dot net/~mckinnis/os2/
505-286-3191

Overcome by jealousy, Data dismembers the Energizer Bunny

----------------------------------------------------------------------------------